[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85DecoderStream.ClosedP

Check if the state is correct

## Declaration

Source position: ascii85.pp line 64

`published function TASCII85DecoderStream.ClosedP: Boolean;`

## Function result

State is one of ascInitial, ascNoEncodedChar or ascPrefix.

## Description

ClosedP checks if the decoder state is one of ascInitial, ascNoEncodedChar, ascPrefix, and returns True if it is.

## See also

TASCII85DecoderStream.Close |  | Close decoder
TASCII85DecoderStream.BExpectBoundary |  | Expect ~ character